Bug 988998 (CVE-2013-4481) - CVE-2013-4481 luci: short exposure of authentication secrets while generating configuration file
Summary: CVE-2013-4481 luci: short exposure of authentication secrets while generating...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4481
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1005385
Blocks: 974906 990750
TreeView+ depends on / blocked
 
Reported: 2013-07-26 21:17 UTC by Jan Pokorný [poki]
Modified: 2019-09-29 13:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way luci generated its configuration file. The file was created as world readable for a short period of time, allowing a local user to gain access to the authentication secrets stored in the configuration file.
Clone Of:
Environment:
Last Closed: 2013-11-21 14:25:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1603 normal SHIPPED_LIVE Moderate: luci security, bug fix, and enhancement update 2013-11-21 00:39:24 UTC

Comment 2 Vincent Danen 2013-08-08 19:29:39 UTC
It was discovered that the luci configuration file was generated in an insecure manner.  Because the configuration is generated on-demand via the luci initscript from a template, and because it is created and then has its permissions changed, the /var/lib/luci/etc/luci.ini file contents are briefly exposed to local users due to world-readable permissions.


Acknowledgements:

This issue was discovered by Jan Pokorný of Red Hat.

Comment 12 Tomas Hoger 2013-11-20 19:01:43 UTC
Lifting embargo.

Comment 13 errata-xmlrpc 2013-11-21 10:33:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1603 https://rhn.redhat.com/errata/RHSA-2013-1603.html


Note You need to log in before you can comment on or make changes to this bug.